package yourdomain.controllers.commands.mappings
{
    import org.robotlegs.mvcs.Command;
    
    import yourdomain.controllers.events.MappingsEvent;
    import yourdomain.views.components.SomeView;
    import yourdomain.views.mediators.ApplicationMediator;
    import yourdomain.views.mediators.SomeMediator;

    /**
     *
     * @author[Ondina D. F.]
     *
     */
    public class MapViewsCommand extends Command
    {
        [Inject]
        public var event:MappingsEvent;

        override public function execute():void
        {
            trace("MapViewsCommand.execute()");
            //autoCreate=true !!!
            mediatorMap.mapView(SomeView, SomeMediator, null, true, false);
            mediatorMap.mapView(ContextView, ApplicationMediator, null, true, false);

            dispatch(new MappingsEvent(MappingsEvent.MAPPING_COMPLETE));
        }
    }
}
