package
{
    import flash.display.Sprite;
    import flash.display.StageAlign;
    import flash.display.StageScaleMode;
    import flash.events.Event;

    import yourdomain.ApplicationContext;
    import yourdomain.views.components.SomeView;

    /**
     *
     * @author[Ondina D. F.]
     *
     */
    public class ContextView extends Sprite
    {
        private var context:ApplicationContext;

        public function ContextView()
        {
            trace("ContextView.ContextView()");
            stage.align = StageAlign.TOP;
            stage.scaleMode = StageScaleMode.NO_SCALE;

            context = new ApplicationContext(this);
            /////////////////////////////////////// [[[option 1]]]
            //createChildren();

            addEventListener(Event.ADDED_TO_STAGE, onViewAdded);
        }

        private function onViewAdded(event:Event):void
        {
            trace("ContextView.onViewAdded(event)");
            removeEventListener(Event.ADDED_TO_STAGE, onViewAdded);

            /////////////////////////////////////// [[[option 2]]]
        	//context = new ApplicationContext(this);
           //createChildren();

        }

        public function createChildren():void
        {
            trace("ContextView.createChildren()");
            var someView:SomeView = new SomeView();
            someView.x = 10;
            someView.y = 20;
            addChild(someView);
        }
    }
}
